> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# Get application info

GET /v1/info

Get version and build information for API backend and agent backend components, plus the current inventory-report signing key's rotation freshness.

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/info/get-v-1-info

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/info:
    get:
      operationId: getV1Info
      summary: Get application info
      description: >-
        Get version and build information for API backend and agent backend
        components, plus the current inventory-report signing key's rotation
        freshness.
      tags:
        - info
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InfoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '499':
          description: Client Closed Request - request was canceled by the client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
components:
  schemas:
    models.ComponentInfo:
      type: object
      properties:
        build:
          type: string
        version:
          type: string
      title: models.ComponentInfo
    models.ComponentsInfo:
      type: object
      properties:
        agentBackend:
          $ref: '#/components/schemas/models.ComponentInfo'
        apiBackend:
          $ref: '#/components/schemas/models.ComponentInfo'
      title: models.ComponentsInfo
    models.SigningKeyInfo:
      type: object
      properties:
        isRecentlyRotated:
          type: boolean
        lastRotatedAt:
          type: string
      title: models.SigningKeyInfo
    models.InfoResponse:
      type: object
      properties:
        components:
          $ref: '#/components/schemas/models.ComponentsInfo'
        signingKey:
          $ref: '#/components/schemas/models.SigningKeyInfo'
      title: models.InfoResponse
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Response**

```json
{
  "components": {
    "agentBackend": {
      "build": "v0.9.2-amd64",
      "version": "v0.9.2"
    },
    "apiBackend": {
      "build": "v0.9.2-amd64",
      "version": "v0.9.2"
    }
  },
  "signingKey": {
    "isRecentlyRotated": true,
    "lastRotatedAt": "2026-05-01T12:00:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/info"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/info';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/info"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/info")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/info');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/info");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```